Fix sonarlint server issue with java 11 above required

First, install java version above 11.

Then config your settings.json file configuration for vscode.

If you are using linux, it will be in

$HOME/.config/Code/User/settings.json

add the below config with your java_path

"sonarlint.ls.javaHome": "/usr/lib/jvm/java-17-oracle"

Restart your VS-Code and see if it works.

Thank you!